NoOpAnalyzer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.analyzer

## Class NoOpAnalyzer

- java.lang.Object
- - org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer
  - - org.apache.cassandra.index.sasi.analyzer.NoOpAnalyzer

- All Implemented Interfaces:
    java.util.Iterator<java.nio.ByteBuffer>

      public class NoOpAnalyzer
      extends AbstractAnalyzer

  Default noOp tokenizer. The iterator will iterate only once returning the unmodified input

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpAnalyzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `void` | `init(java.util.Map<java.lang.String,java.lang.String> options, AbstractType validator)`
    `void` | `reset(java.nio.ByteBuffer input)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.analyzer.AbstractAnalyzer

      `isTokenizing, next, normalize, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### NoOpAnalyzer

          public NoOpAnalyzer()

  - ### Method Detail

    - #### init

          public void init(java.util.Map<java.lang.String,java.lang.String> options,
                           AbstractType validator)

      Specified by:
        `init` in class `AbstractAnalyzer`

    - #### hasNext

          public boolean hasNext()

    - #### reset

          public void reset(java.nio.ByteBuffer input)

      Specified by:
        `reset` in class `AbstractAnalyzer`

Copyright © 2018 The Apache Software Foundation